root {
    --mcdo-jaune: #FFC72C;
    --mcdo-vert: #27742d;
}

h1 {
    color: #FFC72C;
    text-align: center;
}

iframe {
    width: 920px;
    height: 300px;
}

.bge {
    background: rgb(231, 231, 231);
}

#container-encart {
    margin-top: 50px;
    display: flex;
    gap: 20px;
}

.wrapper-encart {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.encart {
    width: 450px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 21px;
    margin: 0;
    padding: 0;
}

#encart1 {
    height: 600px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

#encart1 img {
    width: 100%;
    height: 50%;
}

#encart2 {
    height: 300px;
    background: #2d7b9f;
    color: white;
}

#encart3 {
    height: 400px;
    background: transparent;
    text-align: justify;
}

#encart4 {
    height: 500px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

#encart4 img {
    width: 100%;
    height: 50%;
}

#google-map {
    margin-top: 20px;
}

@media (max-width: 980px) {
    .encart {
        width: 400px;
        font-size: 20px;
    }
    iframe {
        width: 820px;
        height: 300px;
    }
}
@media (max-width: 930px) {
    .encart {
        width: 370px;
        font-size: 19px;
    }
    iframe {
        width: 760px;
        height: 300px;
    }
}
@media (max-width: 800px) {
    .encart {
        width: 350px;
        font-size: 18px;
    }
    iframe {
        width: 720px;
        height: 250px;
    }
}
@media (max-width: 750px) {
    .encart {
        width: 320px;
        font-size: 17px;
    }
    iframe {
        width: 660px;
        height: 220px;
    }
}
@media (max-width: 680px) {
    .encart {
        width: 300px;
        font-size: 17px;
    }
    iframe {
        width: 620px;
        height: 220px;
    }
}
@media (max-width: 640px) {
    .encart {
        width: 280px;
        font-size: 17px;
    }
    iframe {
        width: 580px;
        height: 200px;
    }
}
@media (max-width: 590px) {
    .encart {
        width: 260px;
        font-size: 15px;
    }
    iframe {
        width: 540px;
        height: 150px;
    }
    #encart1 {
        height: 400px;
    }
    #encart2 {
        height: 200px;
    }
    #encart3 {
        height: 280px;
    }
    #encart4 {
        height: 320px;
    }
}
@media (max-width: 550px) {
    .encart {
        width: 240px;
        font-size: 16px;
    }
    iframe {
        width: 500px;
        height: 150px;
    }
}

@media (max-width: 500px) {
    #container-encart {
        flex-direction: column;
        gap: 50px;
    }
    .wrapper-encart {
        gap: 50px;
    }
    .encart {
        width: 280px;
    }
    iframe {
        width: 280px;
    }
}
@media (max-width: 400px) {
    .encart {
        width: 80vw;
    }
    iframe {
        width: 80vw;
    }
}